Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_ContentObject

    java.lang.Object
      oracle.ifs.server.S_LibraryObject
          oracle.ifs.server.S_TieLibraryObject
              oracle.ifs.server.S_SystemObject
                  oracle.ifs.server.S_TieSystemObject
                      oracle.ifs.server.S_ContentObject

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  S_TieContentObject

    public class S_ContentObject

extends S_TieSystemObject

The S_ContentObject class. This class handles the getting and setting of content.

(Published)

Field Summary

Fields inherited from class oracle.ifs.server.S_LibraryObject
`CASCADE_OP_COPY_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_COPY_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_DELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_DELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_DELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_DELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_DELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_FREE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_FREE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_FREE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_FREE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_FREE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_FREE_SYSTEMOBJECT_TO_CATEGORY, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_FREE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_FREE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDEFINED, CASCADE_OP_UNDELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UPDATE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_UPDATE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SYSTEMOBJECT_TO_CATEGORY, DEFAULT_RENDERER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `S_ContentObject(S_LibrarySession session, java.lang.Long classId)` Construct a S_ContentObject object.
`protected` | `S_ContentObject(S_LibrarySession session, S_LibraryObjectData data)` Construct a S_ContentObject object.

Method Summary
`protected static boolean` | `contentSpecified(S_LibraryObjectDefinition sdef)` Used to check if any action needed with regard to inserting/updating content.
`protected void` | `deriveDefinition(S_LibraryObjectDefinition def)` Add to the S_LibraryObjectDefinition for this class.
`protected void` | `extendedPostFree(OperationState opState, S_LibraryObjectDefinition def)` Operations to be performed after freeing an object.
`protected void` | `extendedPreCopy(OperationState opState, S_LibraryObjectDefinition sdef)` Handles copying the content
`protected void` | `extendedPreFree(OperationState opState, S_LibraryObjectDefinition def)` Processing appropriate for freeing this object
`protected void` | `extendedPreInsert(OperationState opState, S_LibraryObjectDefinition def)` Update any system attributes appropriate for creating this object
`protected void` | `extendedPreUpdate(OperationState opState, S_LibraryObjectDefinition def)` Update any system attributes appropriate for creating this object
`void` | `filterContent(boolean plaintext, S_LibraryObject refObj)` Generates an HTML or plaintext version of the content, via the InterMedia INSO filters.
`protected void` | `freeReadIndicationRows(java.lang.Long contentid)` Free all references to this target object in the read indication table.
`void` | `generateSummary(java.lang.String pointOfView, long sizeAsPercent, long sizeAsNumParagraphs, java.lang.String summaryLevel, S_LibraryObject refObj)` Generates one or more summaries for this content by submitting a request to InterMedia to generate summaries.
`void` | `generateThemes(boolean fullThemes, S_LibraryObject refObj)` Generates the Themes for this content by submitting a request to InterMedia Text to generate Themes.
`java.lang.String` | `getCharacterSet()` Gets the Iana character set of the content or null if not specified.
`RandomAccessor` | `getContentByRandomAccess(S_Document refObj)` Gets a RandomAccessor for randomly reading the content of this ContentObject.
`java.lang.Long` | `getContentId()`
`protected S_ContentQuota` | `getContentQuota(S_LibraryObject refObj)` Get the ContentQuota object associated with the referencing object.
`protected S_ContentQuota` | `getContentQuota(S_LibraryObjectDefinition def)` Get the current user's ContentQuota
`java.io.Reader` | `getContentReader(S_LibraryObject refObj)` returns a Reader representing the content.
`long` | `getContentSize()` returns the size (in bytes) of the content.
`java.io.InputStream` | `getContentStream(S_LibraryObject refObj)`
`java.io.Reader` | `getFilteredContent(S_LibraryObject refObj)` Gets the plaintext or HTML content of the document, previously generated by a call to filterContent()
`S_Format` | `getFormatObject()`
`java.lang.String` | `getLanguage()` Gets the language of the content or null if not specified.
`java.util.Date` | `getLastAccessDate()` Gets when the content of this ContentObject was most recently written or read.
`S_Media` | `getMediaObject()`
`java.lang.Long` | `getPartitionValue()` Gets the partition value for this ContentObject.
`java.io.Reader` | `getSummary(java.lang.String pointOfView, S_LibraryObject refObj)` Gets a specific summary of this content, previously generated by a call to generateSummary().
`ContextTheme[]` | `getThemes(S_LibraryObject refObj)` Gets the Themes for this content, previously generated by a call to generateThemes().
`protected static java.util.ArrayList` | `getUnreferencedContentObjectList(S_LibrarySession session, int batchSize)` Delete unlocked temp bfile entries.
`boolean` | `isReadByUser()` Fetches read indication for this document's content for the current user.
`protected boolean` | `isReadOnly()`
`protected boolean` | `isText(S_LibraryObjectDefinition def)`
`protected void` | `postEventToContentQuota(S_ContentQuota quota, long payload)` Post a SPECIAL event to the current user's ContentQuota, so that the quota agent can take action if necessary.
`protected void` | `postEventToContentQuota(S_ContentQuota quota, S_LibraryObjectDefinition def)` Post a SPECIAL event to the current user's ContentQuota, so that the quota agent can take action if necessary.
`void` | `setReadByUser(boolean hasread, S_LibraryObject refObj)` sets/resets read indication for this CONTENTOBJECT for the current user.
`protected void` | `setReadByUserNoCheck(boolean hasread, S_LibraryObject refObj)` sets the read indication without checking getContent permission.
`protected void` | `setReadOnlyForSharing()` sets the READONLY attr to true, if not set already.
`protected void` | `verifyNotReadOnly()` Verifies that this object is not read only.

Methods inherited from class oracle.ifs.server.S_SystemObject
`addCategory, cascadeFree, createCategories, extendedPostInsert, extendedPostUpdate, getCategories, getCategories, getCategories, handleCascade, removeCategories, updateCategories, verifyCanCreate, verifyCanFree, verifyCanUpdate`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`applyValueDefault, associatedPostFree, associatedPostInsert, associatedPreInsert, cascadeCopy, cascadeUpdate, checkRequiredForInsert, checkSettable, clearArrayTypeAttributeValues, clonePublicObjectAttribute, constructIdArray, constructIdArray, copy, copy, copyVectorToLibraryObjectArray, createDefaultPolicyPropertyBundle, createDefaultPropertyBundle, createInstance, deleteRows, deriveOwnerUniqueName, deriveOwnerUniqueName, deriveUppercasedAttribute, determineClassDomain, determinePolicy, determinePolicy, determineValueDefault, determineValueDomain, dispose, DYNLockRows, equals, executePolicyOperation, findPolicyFromPropertyBundleAv, free, free, getAttribute, getAttributeByUpperCaseName, getAuditCertificateName, getAuditDomainContext, getAuditEventFolderContext, getClassData, getClassId, getClassName, getClassObject, getData, getDefinition, getEffectivePolicyActionContexts, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getId, getLibraryConnection, getName, getObjectReferenceAttribute, getPropertyBundle, getPropertyValue, getResourceString, getResourceString, getService, getSession, getSessionInterface, getTraceLogger, handleEvent, hashCode, hasNameAttribute, insertReferenceAttributes, insertRow, insertRows, invalidateState, invokeOperation, invokePolicyMethod, isAuditCertificateSecured, isBroadcastCreateEventEnabled, isInstanceOf, issueCascade, isTraced, lockRows, postEvent, postEvent, postFree, postInsert, postUpdate, preFree, preInsert, preUpdate, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, toString, trace, update, updateRows, verifyCanGetContent, verifyCanSetContent, verifyCanSetPolicy, verifyWriteableTransactionInProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Constructor Detail

### S_ContentObject

    protected S_ContentObject(S_LibrarySession session,
                              S_LibraryObjectData data)
                       throws IfsException

  Construct a S_ContentObject object. This is the standard variant.

  Parameters:
    `session` - current LibrarySession
    `data` - Data component
  Throws:
    `IfsException`
  (Unpublished)

### S_ContentObject

    protected S_ContentObject(S_LibrarySession session,
                              java.lang.Long classId)
                       throws IfsException

  Construct a S_ContentObject object. This variant is used for objects taht have not been created in the database yet.

  Parameters:
    `session` - current LibrarySession
  Throws:
    `IfsException`
  (Unpublished)

Method Detail

### deriveDefinition

    protected void deriveDefinition(S_LibraryObjectDefinition def)
                             throws IfsException

  Description copied from class: `S_ContentObject`
  Add to the S_LibraryObjectDefinition for this class. This this called by getDefinition() on S_LibraryObject. This must call super.deriveDefinition() before applying any class-specific changes to the S_LibraryObjectDefinition object.

  Overrides:
    `deriveDefinition` in class `S_SystemObject`
  Parameters:
    `def` - the S_LibraryObjectDefinition that contains the definition of the target object.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### extendedPreCopy

    protected void extendedPreCopy(OperationState opState,
                                   S_LibraryObjectDefinition sdef)
                            throws IfsException

  Description copied from class: `S_ContentObject`
  Handles copying the content

  Overrides:
    `extendedPreCopy` in class `S_LibraryObject`
  Parameters:
    `opState` - the OperationState
    `sdef` - any modifications to make to the copied object
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### extendedPreInsert

    protected void extendedPreInsert(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Description copied from class: `S_ContentObject`
  Update any system attributes appropriate for creating this object

  Overrides:
    `extendedPreInsert` in class `S_SystemObject`
  Parameters:
    `opState` - current operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.
  (Published)

### extendedPreUpdate

    protected void extendedPreUpdate(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Description copied from class: `S_ContentObject`
  Update any system attributes appropriate for creating this object

  Overrides:
    `extendedPreUpdate` in class `S_SystemObject`
  Parameters:
    `opState` - the operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.

### extendedPreFree

    protected void extendedPreFree(OperationState opState,
                                   S_LibraryObjectDefinition def)
                            throws IfsException

  Description copied from class: `S_ContentObject`
  Processing appropriate for freeing this object

  Overrides:
    `extendedPreFree` in class `S_LibraryObject`
  Parameters:
    `opState` - the operation state
    `def` - current object definition to be freed
  Throws:
    `IfsException` - if operation fails.
  (Published)

### extendedPostFree

    protected void extendedPostFree(OperationState opState,
                                    S_LibraryObjectDefinition def)
                             throws IfsException

  Description copied from class: `S_LibraryObject`
  Operations to be performed after freeing an object. This is overridden by classes that need to perform operations after successfully deleting the rows for the freed instance.

  Overrides:
    `extendedPostFree` in class `S_LibraryObject`
  Parameters:
    `opState` - current operation state
    `def` - object definition
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### freeReadIndicationRows

    protected void freeReadIndicationRows(java.lang.Long contentid)
                                   throws IfsException

  Description copied from class: `S_ContentObject`
  Free all references to this target object in the read indication table. This is called in extednedPostFree().

  Parameters:
    `contentid` - id of the entry in the content table
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getContentStream

    public java.io.InputStream getContentStream(S_LibraryObject refObj)
                                         throws IfsException

  Throws:
    `IfsException`

### getContentReader

    public java.io.Reader getContentReader(S_LibraryObject refObj)
                                    throws IfsException

  Description copied from class: `S_ContentObject`
  returns a Reader representing the content.

  Parameters:
    `refObj` - the S_LibraryObject through which access to this content is allowed. This is typically a Document. This may through if this content does not have an associated character set.
  Returns:
    the content as a Reader
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getContentByRandomAccess

    public RandomAccessor getContentByRandomAccess(S_Document refObj)
                                            throws IfsException

  Description copied from class: `S_ContentObject`
  Gets a RandomAccessor for randomly reading the content of this ContentObject.

  Parameters:
    `refObj` - a Document that references this ContentObject
  Returns:
    a RandomAccessor, or null if this ContentObject does not have content
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setReadByUserNoCheck

    protected void setReadByUserNoCheck(boolean hasread,
                                        S_LibraryObject refObj)
                                 throws IfsException

  Description copied from class: `S_ContentObject`
  sets the read indication without checking getContent permission. This is called by other methods in this class that have already checked the getContent permission.

  Parameters:
    `hasread` - true if has read, false if not.
    `refObj` - the refering object though which this object is allowed access to content.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setReadByUser

    public void setReadByUser(boolean hasread,
                              S_LibraryObject refObj)
                       throws IfsException

  Description copied from class: `S_ContentObject`
  sets/resets read indication for this CONTENTOBJECT for the current user.

  Parameters:
    `hasread` - true if has read, false if not.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isReadByUser

    public boolean isReadByUser()
                         throws IfsException

  Description copied from class: `S_ContentObject`
  Fetches read indication for this document's content for the current user.

  Returns:
    true if current user has read this content
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getContentSize

    public long getContentSize()
                        throws IfsException

  Description copied from class: `S_ContentObject`
  returns the size (in bytes) of the content.

  Returns:
    the size of the content
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getMediaObject

    public S_Media getMediaObject()
                           throws IfsException

  Returns:
    the S_Media object that this object contains
  Throws:
    `IfsException` - if the S_Media is null
  (Unpublished)

### getFormatObject

    public S_Format getFormatObject()
                             throws IfsException

  Returns:
    the S_Format object that this object contains
  Throws:
    `IfsException`
  (Published)

### getCharacterSet

    public java.lang.String getCharacterSet()
                                     throws IfsException

  Description copied from class: `S_ContentObject`
  Gets the Iana character set of the content or null if not specified.

  Returns:
    character set in Iana.
  Throws:
    `IfsException`
  (Published)

### getLanguage

    public java.lang.String getLanguage()
                                 throws IfsException

  Description copied from class: `S_ContentObject`
  Gets the language of the content or null if not specified.

  Returns:
    Oracle language string
  Throws:
    `IfsException`
  (Published)

### isReadOnly

    protected boolean isReadOnly()
                          throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### setReadOnlyForSharing

    protected void setReadOnlyForSharing()
                                  throws IfsException

  Description copied from class: `S_ContentObject`
  sets the READONLY attr to true, if not set already. This is called by Document when it shares a ContentObject with another Document. This prevents RACI from overwriting the content via one of the docs.

  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### getContentId

    public java.lang.Long getContentId()
                                throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### getPartitionValue

    public java.lang.Long getPartitionValue()
                                     throws IfsException

  Description copied from class: `S_ContentObject`
  Gets the partition value for this ContentObject.

  Returns:
    the partition value, or null if none
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getLastAccessDate

    public java.util.Date getLastAccessDate()
                                     throws IfsException

  Description copied from class: `S_ContentObject`
  Gets when the content of this ContentObject was most recently written or read.

  Requires the session to be in administration mode.

  Returns:
    the date, or null if unknown
  Throws:
    `IfsException` - if the operation fails
  (Published)

### generateThemes

    public void generateThemes(boolean fullThemes,
                               S_LibraryObject refObj)
                        throws IfsException

  Description copied from class: `S_ContentObject`
  Generates the Themes for this content by submitting a request to InterMedia Text to generate Themes.

  Each Theme may either be a single Theme word/phrase or a hierarchical list of parent Themes. If fullThemes is set to TRUE, every Theme will also have the full hierarchy of its parent Themes generated.

  Parameters:
    `fullThemes` - generates theme hierarchy information if TRUE
    `refObj` - the S_LibraryObject which refers to this ContentObject and can verify access.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getThemes

    public ContextTheme[] getThemes(S_LibraryObject refObj)
                             throws IfsException

  Description copied from class: `S_ContentObject`
  Gets the Themes for this content, previously generated by a call to generateThemes().

  Content may have up to fifty Themes. Each Theme may either be a single Theme word/phrase or a string of parent Themes, separated by colons (':').

  There is a Weight associated with every Theme. A Weight is a numerical value that measures the importance of the Theme relative to other Themes for the content.

  Parameters:
    `refObj` - the S_LibraryObject which refers to this ContentObject and can verify access (typically a Document).
  Returns:
    an array of objects encapsulating a InterMedia Theme and its associated Weight
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### generateSummary

    public void generateSummary(java.lang.String pointOfView,
                                long sizeAsPercent,
                                long sizeAsNumParagraphs,
                                java.lang.String summaryLevel,
                                S_LibraryObject refObj)
                         throws IfsException

  Description copied from class: `S_ContentObject`
  Generates one or more summaries for this content by submitting a request to InterMedia to generate summaries.

  If GENERIC is passed for pointOfView, then InterMedia will generate a single generic summary of the document, based on all the document Themes. If a specific Theme is passed for pointOfView, then InterMedia will generate a summary based on that Theme. Only the Themes generated for the document by a previous call to generateThemes() may be used as input for pointOfView. If a null value is passed for pointOfView, then InterMedia will generate a generic summary of the document, in addition to up to 50 other summaries, each based on one of Themes of the document. Only the Themes generated for the document by a previous call to generateThemes() may be used as input for pointOfView.

  Summaries are generated either by selecting specific sentences from the document, or by selecting specific paragraphs from the document. If summaryLevel is set to "S", then InterMedia generates a sentence-level summary of the document. If summaryLevel is set to "P", then InterMedia generates a paragraph-level summary of the document.

  The size of the summary generated for a document may be specified through the parameters sizeAsPercent and sizeAsNumParagraphs.

  The parameter sizeAsPercent specifies the maximum number of paragraphs (or sentences) that will be included in the summary, as a percentage of the total number of paragraphs (or sentences) present in the content. The default is 10. To use the default value, pass 0 for sizeAsPercent.

  The parameter sizeAsNumParagraphs specifies the maximum number of paragraphs (or sentences) that will be included in the summary. The default is 16. To use the default value, pass 0 for sizeAsNumParagraphs.

  When both sizeAsNumParagraphs and sizeAsPercent are specified, the parameter that yields a smaller summary size will be used.

  Parameters:
    `pointOfView` - the specific Theme(s) based on which the summary is generated
    `sizeAsPercent` - size of summary as a percentage of document size
    `sizeAsNumParagraphs` - size of summary specified as number of paragraphs or sentences
    `summaryLevel` - specifies whether summary is generated by selecting paragraphs or sentences
    `refObj` - the S_LibraryObject which refers to this ContentObject and can verify access.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getSummary

    public java.io.Reader getSummary(java.lang.String pointOfView,
                                     S_LibraryObject refObj)
                              throws IfsException

  Description copied from class: `S_ContentObject`
  Gets a specific summary of this content, previously generated by a call to generateSummary().

  Parameters:
    `pointOfView` - get the summary that is based on this particular point of view
    `refObj` - the S_LibraryObject which refers to this ContentObject and can verify access.
  Returns:
    a Reader for fetching the summary
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### filterContent

    public void filterContent(boolean plaintext,
                              S_LibraryObject refObj)
                       throws IfsException

  Description copied from class: `S_ContentObject`
  Generates an HTML or plaintext version of the content, via the InterMedia INSO filters. The format of the content to be filtered must be supported by the InterMedia filters.

  Parameters:
    `plaintext` - when TRUE, indicates that a plaintext version of the document must be generated, otherwise an HTML version will be generated
    `refObj` - the S_LibraryObject which refers to this ContentObject and can verify access.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getFilteredContent

    public java.io.Reader getFilteredContent(S_LibraryObject refObj)
                                      throws IfsException

  Description copied from class: `S_ContentObject`
  Gets the plaintext or HTML content of the document, previously generated by a call to filterContent()

  Parameters:
    `refObj` - the S_LibraryObject which refers to this ContentObject and can verify access.
  Returns:
    a Reader for fetching the plaintext or HTML content
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### verifyNotReadOnly

    protected void verifyNotReadOnly()
                              throws IfsException

  Description copied from class: `S_ContentObject`
  Verifies that this object is not read only.

  Throws:
    `IfsException` - if the object is read only, or if operation fails.
  (Unpublished)

### getContentQuota

    protected S_ContentQuota getContentQuota(S_LibraryObjectDefinition def)
                                      throws IfsException

  Description copied from class: `S_ContentObject`
  Get the current user's ContentQuota

  Returns:
    the current user's ContentQuota, or null if user doesn't have one.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getContentQuota

    protected S_ContentQuota getContentQuota(S_LibraryObject refObj)
                                      throws IfsException

  Description copied from class: `S_ContentObject`
  Get the ContentQuota object associated with the referencing object. Return null if there is no ContentQuota associated with the object.

  Parameters:
    `refObj` - the referencing object (usually a Document)
  Returns:
    the ContentQuota associated with the referencing object
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### postEventToContentQuota

    protected void postEventToContentQuota(S_ContentQuota quota,
                                           S_LibraryObjectDefinition def)
                                    throws IfsException

  Description copied from class: `S_ContentObject`
  Post a SPECIAL event to the current user's ContentQuota, so that the quota agent can take action if necessary.

  Parameters:
    `def` - definition that contains CONTENTSIZE to be used for a payload
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### postEventToContentQuota

    protected void postEventToContentQuota(S_ContentQuota quota,
                                           long payload)
                                    throws IfsException

  Description copied from class: `S_ContentObject`
  Post a SPECIAL event to the current user's ContentQuota, so that the quota agent can take action if necessary.

  Parameters:
    `quota` - the content quota
    `payload` - definition that contains CONTENTSIZE to be used for a payload
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### contentSpecified

    protected static boolean contentSpecified(S_LibraryObjectDefinition sdef)
                                       throws IfsException

  Description copied from class: `S_ContentObject`
  Used to check if any action needed with regard to inserting/updating content.

  Returns:
    true if the definition specifies any content, false otherwise.
  Throws:
    `IfsException`
  (Unpublished)

### isText

    protected boolean isText(S_LibraryObjectDefinition def)
                      throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### getUnreferencedContentObjectList

    protected static java.util.ArrayList getUnreferencedContentObjectList(S_LibrarySession session,
                                                                          int batchSize)
                                                                   throws IfsException

  Description copied from class: `S_ContentObject`
  Delete unlocked temp bfile entries.

  Parameters:
    `session` - the session context
    `batchSize` - the batch size to use for the select
  Returns:
    the list of IDs of unreferenced ContentObjects
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD